@import url(estilosTabs.css);
@import url(estilosBarraFuncoes.css);

hr
{
    border:0;
    border-bottom:1px solid #ddd;
    font-size:5px;
}

.bolder {
    font-weight: bold;
}

/***********************FORM***************************************************/
form
{
    margin: 0;
    padding: 0;
}

iframe{
    border: 0 solid black;
    display: block;
    margin: 0 auto;
    padding: 0;
}

label,
input[type='checkbox'],
input[type='radio']{
    cursor: pointer;
}

/*input text*/
input[type='file']:focus,
input[type='file']:hover:not([disabled]),
input[type='password']:focus,
input[type='password']:hover:not([disabled]),
input[type='text']:focus,
input[type='text']:hover:not([disabled]),
input[type='number']:focus,
input[type='number']:hover:not([disabled]),
select:focus,
select:hover:not([disabled]),
textarea:focus,
textarea:hover:not([disabled]),
.input:hover:not([disabled]),
input[type='file'],
input[type='password'],
input[type='text'],
input[type='number'],
select,
textarea,
.input
{
    background-color: #FFF;
    resize:none;
}

input[type='file'],
input[type='password'],
input[type='text'],
input[type='number'],
select,
textarea,
.input
{
    border: 1px solid #ddd;
    color: #333 !important;
    cursor: text;
    min-height: 16px;
    font-size: inherit;
    margin: 2px 0 12px;
    padding: 2px 5px;
    /*-10px do padding left e right -2px da border*/
    width: -webkit-calc(100% - 12px);  /* para Chrome */
    width: -moz-calc(100% - 12px);     /* para Firefox */
    width: calc(100% - 12px);          /* para suporte nativo */
}

.input p {
    margin: 2px 0;
}

/*fieldset*/
fieldset
{
    border-width: 0px;
    margin: 15px 0 0;
    padding: 20px 0 10px;
}

legend
{
    background-color: #fff;
    font-weight: bold;
    margin-left: 10px;
    margin-top: -28px;
    position: absolute;
}

.checkCombo{
    background-color:#fff;
    border: 1px solid #ddd;
    margin-left: -6px;
    margin-top: 2px;
    max-height: 25em;
    overflow: auto;
    padding:10px;
    position:relative;
    text-align: left;
    width: 100%;
    z-index:2;
}

/**********************FILTROS*************************************************/
fieldset{
    outline: 1px solid #ddd;
    outline-offset: -1px;
}
.filtros {
    background-color: #f1f1f1;
}
.filtros input[type='file']:hover:not([disabled]),
.filtros input[type='file']:focus,
.filtros input[type='password']:hover:not([disabled]),
.filtros input[type='password']:focus,
.filtros input[type='text']:hover:not([disabled]),
.filtros input[type='text']:focus,
.filtros select:hover:not([disabled]),
.filtros select:focus,
.filtros textarea:hover:not([disabled]),
.filtros textarea:focus,
.filtros .input:hover:not([disabled]),
.filtros .input:focus,
.filtros .autocomplete:hover:not([disabled]),
.filtros .autocomplete:focus,
.filtros input[type='file'],
.filtros input[type='password'],
.filtros input[type='text'],
.filtros select,
.filtros textarea,
.filtros .input,
.filtros .autocomplete
{
    background-color: #fff;
}

/***********************ACESSIBILIDADE*****************************************/
.contrast
{
    background-color: black!important;
    background-image: none!important;
    color: #F1D031!important;
}

.contrast a{
    color: #FF0000 !important;
}

/***********************UI-BUTTON**********************************************/
.ui-button-text{
    color: #333 !important;
    font-size: 1.2em !important;
}

.ui-state-active{
    background-color: #FFEF93;
    background-image: none;
}


/***********************UI-HELPER**********************************************/
.ui-helper-hidden-accessible{
    display: none !important;
}


/***********************BTN DO SYS*********************************************/
.btnClose, .btnClose:hover{
    float:right;
    font-weight: normal;
    line-height: 1em;
    padding: 0 3px;
}
.btnClose:hover{
    background-color: #E49090;
    border-radius: 5px;
    color: white;
    cursor: pointer;
}

/**********************LOG MSG*************************************************/
#logWrapper {
    position: fixed;
    right: 0;
    text-align: center;
    top: 0;
    width: 100%;
    z-index: 100000;
}
#logWrapper .btnClose{
    float: right;
    margin-right: -15px;
}
.logMsg{
    color: #003300;
    display: block;
}
.logMsg p{
    background: #FFFFCC;
    border: 2px solid #CC9900;
    display: inline-block;
    margin: 0 auto 5px;
    padding: 5px 20px 5px 10px;
}
.erroMsg p{
    background-color: #fedfe4;
    border-color: #f30a30;
}

/**********************RELATORIO***********************************************/
.relatorio th, .relatorio td{
    padding: 10px 10px;
}
.relatorio thead, .relatorio tfoot{
    background-color: #f0f0f0;
}
.relatorio tbody tr:nth-child(even){
    background-color: #f8f8f8;
}
.relatorio tbody tr:nth-child(odd){
    background-color: #ffffff;
}

/*****************************************************************************/
.imgDocumento {
    height: 2em;
    float: left;
    margin: -3px 10px !important;
    vertical-align: middle;
}

.imgCadeado {
    height: 2em;
}

.iconPreview {
    cursor: pointer;
    float: right;
    height: 16px;
    margin-right: 20px;
}

/***********************FLUXO DE TRABALHO***************************************/
.fluxo{
    padding: 0;
    margin: 20px 0;
    width: 100%;
    text-align: center;
}
.fluxo li{
    border: 1px solid gray;
    display: inline;
    list-style: none;
    padding: 10px;
}
.fluxo .marker{
    border-width: 5px;
    display: inline-block;
    height: 0;
    padding: 0;
    width: 20px;
}
.fluxo .good{
    border-color: green;
    color: green;
    font-weight: bold;
}

.regra div{
    min-height: 2em;
    min-width: 45px;
    vertical-align: top;
    margin: 3px !important;
}

/***********************AUTO HIDDEN*******************************************/
.filtros .arrowUp input[type='file'],
.filtros .arrowUp input[type='password'],
.filtros .arrowUp input[type='text'],
.filtros .arrowUp select,
.filtros .arrowUp textarea,
.filtros .arrowUp .input,
.arrowUp {
    background-image: url('../imagens/icones/arrow_blue_up.svg');
    background-position: right 5px !important;
    background-repeat: no-repeat !important;
    cursor: pointer;
}

.filtros .arrowDown input[type='file'],
.filtros .arrowDown input[type='password'],
.filtros .arrowDown input[type='text'],
.filtros .arrowDown select,
.filtros .arrowDown textarea,
.filtros .arrowDown .input,
.arrowDown {
    background-image: url('../imagens/icones/arrow_blue_down.svg');
    background-position: right 5px !important;
    background-repeat: no-repeat !important;
    cursor: pointer;
}

#barra_menu .arrowUp {
    background-image: url('../imagens/icones/arrow_blue_up.svg');
    background-repeat: no-repeat !important;
    cursor: pointer;
    background-position-x: 28px!important;
}

#barra_menu .arrowDown {
    background-image: url('../imagens/icones/arrow_blue_down.svg');
    background-repeat: no-repeat !important;
    cursor: pointer;
    background-position-x: 28px!important;
}

.autoHidden {
    position: absolute;
    cursor: default;
    z-index: 4;
}

/***********************DATEPICKER********************************************/
.datepicker {
    /*background: url('../imagens/calendario/calendario.gif') no-repeat right;*/
    cursor: pointer;
}

/***********************NOTIFICAÇÕES******************************************/
.notificacaoInfoError{
    background-color: rgb(231,5,5);
}
.notificacaoInfoWarn{
    background-color: #808080;
}
#indiceNotificacoes,
.indiceNotificar{
    border-radius: 2px !important;
    color: white !important;
    font-size: .6em !important;
    padding: 3px 4px !important;
    text-align: center !important;
    vertical-align: middle !important;
}

/***********************AUTOCOMPLETE******************************************/
.autocomplete {
    background-color: white;
    background-image: url('../imagens/icones/search.svg');
    background-position: right 4px top 4px !important;
    background-size: 12px;
    background-repeat: no-repeat !important;
    border: 1px solid #ddd;
    margin: 2px 0 12px;
}
.autocomplete span, .chips {
    background-color: #eee;
    border: 1px solid #ccc;
    border-radius: 7px;
    clear: right;
    color: #333;
    display: table-row;
    float: left;
    margin: 1px 3px 1px 0;
    padding: 0 0 0 3px;
    position: relative;
    text-indent: 0;
}
.autocomplete input {
    border-width: 0px;
    float: left;
    margin: 0 3px 0 0;
    position: relative;
    width: 170px;
}

/*********************BUG FIX PARA MCE*****************************************/
.mce-ico {
    font-family: 'tinymce',Arial !important
}

/*********************SLIDER JQUERY-UI*****************************************/
.ui-slider-handle{
    display: none;
}

.ui-slider {
    cursor: pointer;
}

.ui-slider, .ui-slider-range{
    border-radius: 0 !important;
}
/*********************DISABLED*************************************************/
*[disabled],
*[readonly]
{
    border: 1px solid #f0f0f0 !important;
    background-color: #f0f0f0 !important;
    color: gray;
}

/*********************Acompanhamento por fases*********************************/
.fase_relatorio {
    height: 40px;
    margin: auto;
    display: inline-block;
}

.labelFase {
    width:130px;
    float: left;
    margin-top: 5px;
    text-align: center;
}

.linhaFase {
     width: 100%;
     height:3px;
     font-size:1px;
     background: #d8d9d8;
}

.marcadorFase {
    background:#d8d9d8;
    color: #f1f1f1;
    width:30px;
    height:30px;
    line-height:30px;
    vertical-align:middle;
    text-align:center;
    font-size:10px;
    float: left;
    margin: 2px;
    border-radius:50%;
    -moz-border-radius:50%;
    -webkit-border-radius:50%;
}

.fase_selecionada {
    background: #01a7d1;
}

.filtroFechado {
    background-color: #f1f1f1;
    height: 40px;
}

.linhaBranca {
    height: 3px;
    background-color: #FFFFFF;
    margin: 0 auto;
}

.filtroFechado {
    cursor: pointer;
}

/*********************Barra de Navegação Horizontal*********************************/
.leftNavBar,
.rigthNavBar {
    background-color: white;
    border-radius: 25px;
    border-width: 1px;
    border-style: solid;
    cursor: pointer;
    font-weight: bold;
    font-size: 25px !important;
    height: 50px;
    line-height: 50px !important;
    opacity: 0;
    position: absolute;
    text-align: center;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    vertical-align: middle;
    width: 50px;
    z-index: 2;
}

.leftNavBar:hover,
.rigthNavBar:hover {
    opacity: 0.7;
}

.rigthNavBar {
    right: 0px;
}
.leftNavBar {
    left: 0px;
}

select {
    width: 100%;
}

.multi td, .multi tr{
    vertical-align: top;
}
.multi td{
    min-width: 80px;
}

.zebra:nth-child(2n) {
    background-color: #efefef;
}

/**********************CHOSEN*************************************************/
.chosen-choices {
    border: 1px solid #ddd !important;
    box-shadow: none !important;
    background-image: none !important;
    margin-bottom: 10px !important;
}

/**********************INTROJS*************************************************/
.introjs-disabled{
    display: none !important;
}

/**********************INFO TOOLTIP********************************************/
.infoTooltip {
    cursor: pointer;
    height: 12px;
    float: left; 
    margin-right: 5px
}

/**********************GERENCIAR FILTRO****************************************/
.gerenciar-filtros .zebra{
    cursor: move;
    background-image: url(../imagens/icones/cross.svg);
    background-position: 11px 3px;;
    background-repeat: no-repeat;
    background-size: 15px;
}